/*12.	Dado un vector V de N elementos, cada uno de los cuales contiene un carácter.
 Se pide elaborar un algoritmo para hallar e imprimir el elemento que más se repite 
 y cuántas veces está en dicho vector.*/
 
 #include<stdio.h>
 #include<conio.h>

 #define N 10
 
 void main (void)
 {
	char V[N];
	int i,j,max,rept=0,cont=0,posi[N],k=0,aux,x;

	clrscr();

	/*Introducimos los valores por teclado*/

	for(i=0;i<N;i++)
	{
		printf("Teclee el caracter para la posici¢n %2d: ",i+1);
		fflush(stdin);
		scanf("%c",&V[i]);
	}

 	/*Miramos cual es el que mas se repite*/
	max=V[0];
	for(i=0;i<N;i++)
	{
		cont=0;
		for(j=0;j<N;j++)
		{
			if(V[i]==V[j])
			{
				cont++;
			}
		}
		if(cont>rept)
 		{
			max=V[i];
			aux=i;
			rept=cont;
 		}
 	}
	for(j=0;j<N;j++)
		{
			if(V[aux]==V[j])
			{
				posi[k]=j+1;
				k++;
			}
		}
	printf("\nEl caracter que m s se repite es: \"%c\" y se repite %d veces",max,rept);
	printf("\n\n\t\tY est  en las posiciones:");
	for(i=0;i<k;i++)
	{
	printf("\n\t\t\t%2d",posi[i]);
	}
	textcolor(130);
	for(i=0;i<k;i++)
	{
		x=posi[i];
		gotoxy(43,x);cprintf("<--");
	}
	_setcursortype(_NOCURSOR);
	getch();
 }